Bug 985576 - Connection Factory issue in AS7-4776 is still causing issues and requires a server restart to cleanup
Connection Factory issue in AS7-4776 is still causing issues and requires a s...
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services, ConfigAdmin (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Stefano Maestri
:
Depends On:
Blocks: 985578
  Show dependency treegraph
 
Reported: 2013-07-17 15:21 EDT by Van Halbert
Modified: 2013-12-05 08:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:45:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-4776 Critical Resolved Error during (re) adding connection factory using CLI 2017-05-30 07:12 EDT
JBoss Issue Tracker TEIID-2035 Major Closed DeleteDataSource method on Admin API does not completely delete the Connection Factory 2017-05-30 07:12 EDT

  None (edit)
Comment 2 Alessio Soldano 2013-07-18 04:31:15 EDT
Not sure why this has been assigned to me...
Comment 10 JBoss JIRA Server 2013-08-12 08:55:17 EDT
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIID-2035

Here is another variation of the script that is without the remove per the workaround suggested in the original JIRA. Note we are looking for a solution that does not require a restart.

{code} 
/subsystem=resource-adapters/resource-adapter=ws/connection-definitions=wsDS:add(jndi-name=java:/wsDS, class-name=org.teiid.resource.adapter.ws.WSManagedConnectionFactory, enabled=true, use-java-context=true)
/subsystem=resource-adapters/resource-adapter=ws/connection-definitions=wsDS/config-properties=EndPoint:add(value=http://foo.com)
/subsystem=resource-adapters/resource-adapter=ws:activate

/subsystem=resource-adapters/resource-adapter=ws/connection-definitions=wsDS/config-properties=EndPoint:remove
/subsystem=resource-adapters/resource-adapter=ws/connection-definitions=wsDS/config-properties=EndPoint:add(value=http://foo1.com)
{code}

I even tried the undefine-attribute instead of "remove" and "add" in last two lines of the script.
Comment 12 JBoss JIRA Server 2013-08-14 18:02:02 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-2035 to Resolved
Comment 13 JBoss JIRA Server 2013-08-14 18:02:02 EDT
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIID-2035

Implemented the workaround defined in the thread https://community.jboss.org/message/832363

This solution requires creating a resource-adapter for each connection factory, also when the connection factory is deleted then the resource-adapter also deleted.

Once side effect is user uses Admin API it completely will be consistent in creation/deletion of sources, if they mix in editing XML file directly and Admin API some in-consistency is expected the way they are handled.
Comment 15 Rostislav Svoboda 2013-08-26 06:32:25 EDT
Stefano, will you work on this BZ or will you close this BZ based on Comment 13 and Comment 14 ?
Comment 16 Stefano Maestri 2013-09-04 03:45:16 EDT
Closing based on comment 13 and 14
Comment 17 Rostislav Svoboda 2013-09-10 04:24:43 EDT
Removing jboss-eap-6.2.0 flag not to show this one in ACK_VIEW stats
Comment 18 JBoss JIRA Server 2013-12-05 08:55:42 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2035 to Closed

Note You need to log in before you can comment on or make changes to this bug.